<?php
/**
* @version 1.0.0
* @package Download3000
* @copyright (C) 2006 Csaba Kissi
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class d3000Screens {
	/**
	 * Static method to create the template object
	 * @return patTemplate
	 */
	function &createTemplate() {
		global $option, $mosConfig_absolute_path;        
		require_once( $mosConfig_absolute_path . '/includes/patTemplate/patTemplate.php' );

		$tmpl =& patFactory::createTemplate( $option, true, false );
		$tmpl->setRoot( dirname( __FILE__ ) . '/tmpl' );        
		return $tmpl;
	}
	
    function config($message = "") {       
       global $database, $mainframe;       
       $query = "SELECT affiliate_id FROM #__d3000_config";
       
	   $database->setQuery( $query );       
	   $row = $database->loadRow();       
       $tmpl =& d3000Screens::createTemplate();
       
       $tmpl->setAttribute( 'body', 'src', 'configform.html');
       $tmpl->addVar( 'body', 'aff_id', $row[0]);
       $tmpl->addVar( 'body', 'message', $message);
       $tmpl->displayParsedTemplate( 'form' );
	}
}
?>
